---
title: Books
layout: "base.njk"
---
These books had a big influence on my thinking and taste.

<style>
  main img {
    width: 8rem;
    margin: 0.5rem 0.5rem 0.5rem 0;
    float: left;
  }
</style>

### [![book cover, showing a pair of carved shapes which cast shadows forming the letters G, E, and B](/books/0465026567.jpg) Gödel, Escher, Bach: an Eternal Golden Braid <small>- Douglas Hofstadter</small>](https://amzn.to/44Nvcuf)

I read this heady tome in college. I think I've completed it three times? It alternates between whimsical stories and theory, building a case that thought and meaning are emergent properties of the brain. It deals heavily with the idea of self-reference, which is the main theme uniting the three people in the title. Although he discounts the possibility of the immaterial aspect of reality as unknowable, Hofstadter introduced me to many interesting ideas and his book is a delightful journey, if you are prepared for it.

### [![book cover, abstract space illustration showing three planets](/books/0007528418.jpg) The Space Trilogy: Out of the Silent Planet, Perelandra, and That Hideous Strength <small>- C. S. Lewis</small>](https://amzn.to/3SfO7Xc)

These stories contain so much richness. One theme that stuck with me emerges in _Out of the Silent Planet_ and is repeated in _Perelandra_: that good things can be spoiled by overconsumption. Something that is pleasant or satisfying stands by itself, and doesn't need to be repeated or hoarded. In fact, the drive to capture, concentrate, and control pleasant things can cheapen them, and could be at the root of many of our troubles.

### [![book cover, a tromp-l'oeil torn segment reveals in bold letters "SELF-DECEPTION"](/books/1523006560.jpg) Leadership and Self-Deception <small>- The Arbinger Institute</small>](https://amzn.to/3GNsFGs)

This book painted for me a vivid picture of the mechanics of selfish and self-centered thinking. It describes in detail the ways that we blind ourselves, especially in interpersonal communication. The result of internalizing the concepts in this book is a sort of secular elaboration of "Love your neighbor", but even though it misses (or omits? subtracts?) the spiritual core of things, it still rings quite true and the tools found in this book and others from the Arbinger Instutute are fantastically valuable.
If this is of interest, you may also enjoy [Marshall Rosenberg's "Non-violent communication"](https://amzn.to/3SmSQqi) or [my article on needs-based communication](/posts/needs-based-communication/).

### [![book cover, a byzantine icon "The triumph of the Archangel Michael over the antichrist, who is shown falling into the abyss together with the cities of this world at the end of time"](/books/188790400X.jpg) Orthodoxy and the Religion of the Future <small>- Fr. Seraphim Rose</small>](https://amzn.to/4jVqE9F)

This book synthesizes many pieces of the zeitgeist as I have seen it develop in my life. It touches on nihilism, the charismatic movement, yoga, eastern and new-age spirituality, and the UFO phenomenon. All these things are contextualized into a movement towards an upcoming religious synthesis, and contrasted with eastern Orthodoxy. Fr. Seraphim has a clear, academic writing style which I found easy to read, and this book answered many questions I had not even thought to ask. I also recommend his book/pamphlet [Nihilism: The Root of the Revolution of the Modern Age](https://amzn.to/4jYlRnX), which is slightly drier than this but sets a good foundation for it, and [The Soul After Death](https://amzn.to/4iDaAIv) for its sober and thorough approach to understanding things most people have not witnessed directly.

### [![book cover, a mountainside monastery with a body of water in the background](/books/1887904166.jpg) The Gurus, the Young Man, and Elder Paisios <small>- Dionysios Farasiotis</small>](https://amzn.to/3GzsoXJ)

This is the fascinating true story of a young man's experiences with occult eastern gurus, the amazing adventures and troubles he had, and his conversations and visits with Elder Paisios of Mount Athos. He tells the story without embellishment, speaking plainly about the fantastic things that he saw and his thoughts and feelings as he struggled to find peace.

### [![book cover, three shadowed figures in a dramatic pose in front of a looming red X](/books/0765319853.jpg) Little Brother <small>- Cory Doctorow</small>](https://www.gutenberg.org/ebooks/30142)

This book functions not only as an engaging story, but a primer for digital security as a whole. If it doesn't make you an outright cypherpunk, you will at least understand the movement better.

### [![book cover, a red katana in front of a blue field of circuits](/books/0553380958.jpg) Snow Crash <small>- Neal Stephenson</small>](https://amzn.to/3SfPIMG)

A sympathetic main character, heaps of style, a hacker aesthetic, an evocative and lived-in setting, and non-stop action. This book magnified my love of the written word as a literal creative force. Digital reality and baseline reality are both shaped by language, but in different ways, and this story explores that distinction vigorously and memorably.

### [![book cover, a softly lit man in overalls stares as he is served a bowl of soup](/books/0395423317.jpg) The Stranger <small>- Chris Van Allsburg</small>](https://amzn.to/3SeBz2k)

The illustrations in this surreal children's book stuck with me my whole life. I like all this author's illustrations, but this book especially captured my imagination.

### [![book cover, large text above a photo of a PC-2 computer, with a one-row LCD display and a tiny but complete QWERTY keyboard](/books/0936200111.jpg) Getting Started on the PC-2 <small>- Harvard Pennington, Gary Camp, Ralph Burris</small>](https://archive.org/details/gettingstartedon00harv)

This was my first programming book. My grandfather Clarence gave it to me along with a Radio Shack PC-2 handheld computer. That evening I managed to make a program that produced "music", a random sequence of tones. I was hooked.
